# Class: InjectUserTeam

## InjectUserTeam()

InjectUserTeam Middleware ------------------------------------------------------------- For the authenticated user, looks up the associated Team instance and injects it as request.user_team.

## Constructor

#### new InjectUserTeam()

Source:
  - app/routing/middleware/InjectUserTeam.middleware.js, line 11

### Extends

- Middleware

### Methods

#### (async) test(req, res, next, args =opt)

Inject the user's team into the request, or redirect to a login page.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`req` |  |  |
`res` |  |  |
`next` |  |  |
`args =` |  | <optional> |

Source:
  - app/routing/middleware/InjectUserTeam.middleware.js, line 23